### Enumeration

# EDataBook bSqlUnlockAction

#### Declaration

    enum EDataBook.bSqlUnlockAction

#### Description [src]

Indicates what type of action to take while unlocking the sqlite with `e_book_sqlite_unlock()`

In the case that some addressbook modification failed while holding an `EBSQL_LOCK_WRITE` lock, then the `EBookSqlite` must be unlocked with `EBSQL_UNLOCK_ROLLBACK`.

#### Members

`EBSQL_UNLOCK_NONE`

  Just unlock, this is appropriate for locks which were obtained with `EBSQL_LOCK_READ`.

  - Value: `0`
  - Available since: 1.2
`EBSQL_UNLOCK_COMMIT`

  Commit any modifications which were made while the lock was held.

  - Value: `1`
  - Available since: 1.2
`EBSQL_UNLOCK_ROLLBACK`

  Rollback any modifications which were made while the lock was held.

  - Value: `2`
  - Available since: 1.2